global function angelLightPrecache
global function angelLightUI

void function angelLightUI(){
	#if UI
		#if RWYN_HAS_LOADSCREEN && RWYN_HAS_NSFW
			printt("[RWYN.NC] Player has the mod properly installed!")
		#else
			thread installDiagInit()
		#endif
	#endif
}

#if UI

void function installDiagInit(){
    WaitFrame()
    installDiag()
}

void function installDiag(){
    DialogData errorPopUp
    errorPopUp.header = "CORRUPTED INSTALLATION DETECTED"
    errorPopUp.message = "Night City (NSFW) mod may have been installed with a Mod Manager.\n\nFor now, it has to be installed manually, please uninstall your current version and follow the instructions in the mod's description.\n\nIf this error persists after a proper installation;\n• Make sure you have all of the specified folders,\n• Delete ''enabledmods.json'' from ''Titanfall2\\R2Northstar'',\n• Restart the game.\n\nA side note: If you use VTOL, make sure you have the latest version. Newer versions have no such problems with mod installations."
    errorPopUp.image = $"ui/menu/common/dialog_error"
    AddDialogButton(errorPopUp, "Exit", void function(){ ClientCommand("exit") })
    AddDialogButton(errorPopUp, "Reinstall", void function(){
        LaunchExternalWebBrowser("https://northstar.thunderstore.io/package/Rwyn/Night_City/", WEBBROWSER_FLAG_FORCEEXTERNAL)
        installDiag()
    })
    OpenDialog(errorPopUp)
}

#endif

void function angelLightPrecache(){
	#if CLIENT
    PrecacheParticleSystem($"dtake_sky_main")
	PrecacheParticleSystem($"dtake_sky_vortex")
    AddCallback_EntitiesDidLoad(angelLightMap)
	#endif
}

#if CLIENT

void function angelLightMap(){
    string mapName = GetMapName()
    if(mapName == "mp_angel_city")
		SetConVarInt("mat_sun_color", 0)
    else
        SetConVarString("mat_sun_color", "0 0 0 0")
}

#endif